function Map() {
    this.backRect = this.viewRect = undefined;

    this.setView();
}

Map.prototype.setView = function() {
    this.backRect = new paper.Path.Rectangle(new paper.Point(constants.GAME_WIDTH - settings.ACTIVE_PLANETS_FIELD_SIZE / 10,
            constants.GAME_HEIGHT - settings.ACTIVE_PLANETS_FIELD_SIZE / 10 * 2),
            new paper.Size(settings.ACTIVE_PLANETS_FIELD_SIZE / 10, settings.ACTIVE_PLANETS_FIELD_SIZE / 10 * 2));
    this.backRect.fillColor = settings.BACKGROUND_COLOR;
    this.backRect.strokeColor = "#aaa";
    this.backRect.opacity = 0.5;

    this.viewRect = new paper.Path.Rectangle(new paper.Point(constants.GAME_WIDTH - constants.GAME_WIDTH / 10 - (settings.ACTIVE_PLANETS_FIELD_SIZE - constants.GAME_WIDTH) / 10 / 2,
            constants.GAME_HEIGHT - constants.GAME_HEIGHT / 10 - (settings.ACTIVE_PLANETS_FIELD_SIZE - constants.GAME_HEIGHT) / 10 / 2 - settings.ACTIVE_PLANETS_FIELD_SIZE / 10),
            new paper.Size(constants.GAME_WIDTH / 10, constants.GAME_HEIGHT / 10));
    this.viewRect.fillColor = settings.BACKGROUND_COLOR;
    this.viewRect.strokeColor = "#aaa";
    this.viewRect.opacity = 0.5;
}